{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  
<h4>ESTRUCTURA DE CONTROL</h2> 
  <h4></h4>
<h2>Actividad: <small>{{ proyecto }}</small></h2>
<h2>Responsable:<small>{{ responsable }}</small></h2>
    {% for etapa in etapas %}
          <div class="x_panel">
                <div class="x_title">
                  <h2>Etapa <small>{{ etapa.nombre_etapa }} <a href="#" class="btn btn-primary btn-xs" onclick="document.formactividad.nombre_etapa.value='{{ etapa.nombre_etapa }}'; document.formactividad.id_etapa.value='{{ etapa.id }}';" data-toggle="modal" data-target=".bs-example-modal-lg"><i
                    class="fa fa-plus"></i></a></small></h2>
                  <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                    <li class="dropdown">
                      <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                      <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                          <a class="dropdown-item" href="#">Settings 1</a>
                          <a class="dropdown-item" href="#">Settings 2</a>
                        </div>
                    </li>
                    <li><a class="close-link"><i class="fa fa-close"></i></a>
                    </li>
                  </ul>
                  <div class="clearfix"></div>
                </div>
                <div class="x_content">
            
                  <table class="table">
                    <thead>
                      <tr>
                        <th>ID</th>
                        <th>NOMBRES</th>
                        <th></th>
                        <th></th>
                      </tr>
                    </thead>
                    <tbody>
                    {% for tipoasignacion in object_list %}
                      {% if etapa.id == tipoasignacion.etapa.id %}
                      <tr>
                        <td scope="row">{{ tipoasignacion.orden }}</td>
                        <td>{{ tipoasignacion.actividad.nombre_actividad }}</td>
                        <td width="4%"><a href="#/arrow-up" onclick="actulizar_orden();"><i class="fa fa-arrow-up"></i></a></td>
                        <td width="4%"><a href="#/arrow-up"><i class="fa fa-arrow-up"></i></a></td>
                        <td><a href="#" class="btn btn-warning btn-xs" onclick="document.formactividad.nombre_etapa.value='{{ etapa.nombre_etapa }}'; document.formactividad.id_etapa.value='{{ etapa.id }}'; document.formactividad.actividad.value='{{ tipoasignacion.actividad.id }}'" data-toggle="modal" data-target=".bs-example-modal-lg"><i
                            class="fa fa-edit"></i></a>
                            <a href='{% url "eliminar_estructura" tipoasignacion.id %}' class="btn btn-danger btn-xs"><i class="fa fa-ban"></i></a>
                        </td>
                        <td></td>
                      </tr>
                      {% endif %}
                    {% endfor %}
                    </tbody>
                  </table>
            
                </div>
              </div>           
    {% endfor %}
<a href="{{ create_url }}" class="btn btn-primary btnTest"><i
    class="fa fa-plus"></i> Nuevo registro</a>
<a href="{{ list_url }}" class="btn btn-success btnTest"><i
    class="fa fa-refresh"></i> Actualizar</a>
    <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">

          <div class="modal-header">
            <h4 class="modal-title" id="myModalLabel">Agregar Actividad</h4>
            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <h4>Seleccione actividad</h4>
            <form id="formactividad" name="formactividad" action="/administrador/estructurae/crear" method="POST"> {% csrf_token %}
                Etapa
                <input id="id_nombre_etapa" name="nombre_etapa" type="text" value="" class="form-control" readonly="readonly">
                <input id="id_etapa" name="etapa" type="hidden" class="form-control" value="{{ id }}">
                <input id="id_asignacion" name="asignacion" type="hidden" class="form-control" value="{{ id }}">
                <input id="action" name="action" type="hidden" value="add">
            <table class="table">
               <thead>
                   <th>ID</th>
                   <th>Actividad</th>
                   <th></th>
               </thead>
               <tbody>
                   {% for actividad in actividades %}
                   <tr>
                       <td>{{ actividad.id }}</td>
                       <td>{{ actividad.nombre_actividad }}</td>
                       <td><input type="radio" value="{{ actividad.id }}" id="id_actividad" name="actividad"></td>
                   </tr>
                   {% endfor %}
               </tbody>
            </table>
            </form>>    
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary" onclick="document.formactividad.submit();">Guardar</button>
          </div>

        </div>
      </div>
    </div>  
       
{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollX": true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}
